List a run's IP addresses
Get the IP addresses used by a run's execution.
GET
/api/runs/{id}/ipsPath parameters
idnumberrequiredPath parameter: id
Request
curl
curl -X GET https://trickest.io/api/runs/{id}/ips \
-H "Authorization: Bearer $TRICKEST_TOKEN"Responses
200IP addresses used by the run
resultsstring[]countinteger400Bad Request – validation error or malformed input
codestringrequiredmessagestringrequireddetailsobjectField-level detail when the error is a validation failure.
401Unauthorized – missing or expired token
codestringrequiredmessagestringrequireddetailsobjectField-level detail when the error is a validation failure.
403Forbidden – insufficient permissions
codestringrequiredmessagestringrequireddetailsobjectField-level detail when the error is a validation failure.
429Too Many Requests – rate limited
codestringrequiredmessagestringrequireddetailsobjectField-level detail when the error is a validation failure.
500Internal Server Error
codestringrequiredmessagestringrequireddetailsobjectField-level detail when the error is a validation failure.